#include "result.hh"
#include "request.hh"



/* *** Operators *** */


const Result& Result::operator=(const Result &source)
{
  if (this == &source)
    return *this ;

  algorithm = source.algorithm ;
  position = source.position ;

  return *this ;
}


bool Result::operator==(const Result &source) const
{
  return
    algorithm == source.algorithm &&
    position == source.position ;
}



std::ostream& operator<<(std::ostream &os, const Result &r)
{
  os
      << "The result of the algorithm " << r.algorithm
      << " is: " << r.position ;
  return os ;
}
